      SUBROUTINE  NCODE (S,F,L,V)
C     (Encode)
C     Converts integer to string of decimal digits.
C
C     Arguments:
C       S = string into which digits are placed,
C       F = index of first byte of field in S,
C       L = index of last byte of field in S,
C       V = value to be encoded.
C     (23-OCT-84)
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     EXTERNAL REFERENCES (FUNCTION,SUBROUTINE,COMMON)
C
C     EXTERNAL REFS       F4MVC,       MOD
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     INTRINSIC FUNCTIONS
C
      INTEGER             MOD
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     NON-COMMON VARIABLES
C
C     SETS                DIGIT,       N,           VALUE
C
      INTEGER             DIGIT,       F,           L,           N
      INTEGER             S(1),        V,           VALUE
C
      N=L
      VALUE=V
      GO TO 20002
20001 IF (VALUE.EQ.0 .OR. N.LT.F) GO TO 20003
20002 DIGIT=MOD(VALUE,10)
      CALL F4MVC (10H0123456789,DIGIT+1,S,N,1)
      VALUE=VALUE/10
      N=N-1
      GO TO 20001
C
20003 RETURN
      END
