      SUBROUTINE  WRITRC (IOUNIT,LINE,NWORDS,WORD1,WORD2)
C     (Write Record)
C     Output "NWORDS" words of text  in "LINE(*)" to unit  number
C     "IOUNIT".  Integer  "WORD1" and  "WORD2" are  also  output.
C     This simple  operation is  relegated  to a  SUBROUTINE  for
C     three reasons:
C     1) an implied DO can be avoided on the READ statement,
C        which is usually more efficient.
C     2) word-size dependence for the FORMAT is localized.
C     3) replacement by an assembly-language equivalent is
C        facilitated.
C     (02-JUL-79)
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     EXTERNAL REFERENCES (FUNCTION,SUBROUTINE,COMMON)
C
C     EXTERNAL REFS       WRITUA
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     NON-COMMON VARIABLES
C
      INTEGER             IOUNIT,      LINE(1),     NWORDS,      WORD1
      INTEGER             WORD2
C
      WRITE (IOUNIT) NWORDS,WORD1,WORD2
      CALL WRITUA (IOUNIT,LINE,NWORDS)
C
      RETURN
      END
