C-fpp- =================================================================
C-fpp- fpp -- C version 1.0.8 [06-Dec-1991]
C-fpp- Date: Fri Jan 31 07:47:43 1992
C-fpp- Directory: /home/plot79/sf3dir
C-fpp- User:  <beebe@eros>
C-fpp- Macro: _OS_UNIX=1
C-fpp- Macro: _MIPS=1
C-fpp- Macro: _BIG_ENDIAN=1
C-fpp- Macro: _IEEE_754=1
C-fpp- Macro: _NAMELIST=1
C-fpp- =================================================================
C#if _HPUX
C##      PROGRAM MAIN
C#endif
C     (Main Program)
C     This program  serves as  a main  program for  the  SFTRAN/3
C     preprocessor.  The old MAIN  program has been converted  to
C     subroutine SFTRN1.  By doing this, all local changes,  such
C     as  file  definitions  and  compiler  invocation,  can   be
C     preserved at a higher level.
C
C ######################################################################
C ######################### System Dependencies ########################
C ##                                                                  ##
C ##  To install SFTRAN3 on a  new machine, the following  simple     ##
C ##  changes may be necessary:                                       ##
C ##                                                                  ##
C ##  * File assignments, command-line option selection, and          ##
C ##    compiler invocation in MAIN                                   ##
C ##  * Unit number assignments and wordsize (WDSIZE) in BLOCK DATA   ##
C ##  * FORMAT item changes in READLN and WRITLN                      ##
C ##  * WRITE statement for HDRNAM(*) in WRITLN                       ##
C ##  * Replace call of DEC-20-specific OUTLN in IOFUNC by call       ##
C ##    to WRITLN.                                                    ##
C ##                                                                  ##
C ##  Array dimensions should normally not require adjustments.       ##
C ##                                                                  ##
C ##  In addition, the size of the in-core file buffer in  COREIO     ##
C ##  may be  adjusted up  or down  to suit  installation  memory     ##
C ##  capacity.                                                       ##
C ##                                                                  ##
C ##  If the preprocessor is too large, it is possible to  reduce     ##
C ##  table sizes  somewhat  by  adjusting  array  dimensions  in     ##
C ##  COMMON and  their corresponding  limits in  the BLOCK  DATA     ##
C ##  routine; to  facilitate  doing  this  with  a  global  text     ##
C ##  substitution, each limit has been a unique value.               ##
C ##                                                                  ##
C ######################### System Dependencies ########################
C ######################################################################
C
C     Edit history at Utah:
C
C     19-Oct-81       OSFLST, SFTRN1, SFTRN2, SFTRN3, SFTRN4
C     25-Oct-84 (3.8) Major overhaul for Version 3.8 with massive
C                     COMMON   reorganization,    insertion    of
C                     PFORT-generated declarations, re-sizeing of
C                     COMMON  arrays  for  machine  independence,
C                     removal   of    most   remaining    machine
C                     dependencies.
C     24-Feb-85 (3.9) Changes  in  IOFUNC,  SFTRN1,  SFTRN2,  and
C                     SFTRN4 to  fix arrows  to left  margin  for
C                     STOP  and   RETURN  statements,   and   add
C                     recognition  of   IF   (...)   STOP/RETURN.
C                     Preloading   all    uninitialized    COMMON
C                     variables with  machine  infinity  revealed
C                     use before definition of ADDERR in  SFTRN1;
C                     ADDERR is now cleared on entry.
C     12-Dec-85 (3.10)
C                     Changes in IOFUNC  and OUTLN  to blank  pad
C                     output  FORTRAN   only  on   source   lines
C                     followed by a continuation line.  FORMAT in
C                     WRITLN  updated  to  handle  2-digit  level
C                     number.
C     10-Nov-1990 (3.11)
C                     Add ERRANY  here to catch  ERRORS = .TRUE.,
C                     and CALL  EXIT(1)  if any errors  happened.
C                     This is needed on UNIX to permit aborting a
C                     following Fortran compilation.
C     16-Feb-1991 (3.12)
C                     Code    overhaul  to  replace  all   system
C                     dependent routines by P79xxx primitives, to
C                     incorporate Fortran preprocessor directives
C                     to handle remaining system variations,  and
C                     to  ensure  that  all   .f  files   can  be
C                     generated  from  their  corresponding  .sf3
C                     files (bootstrapping  work had gotten these
C                     out of synchronization).
C     (16-Feb-1991)
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     EXTERNAL REFERENCES (FUNCTION,SUBROUTINE,COMMON)
C
C     EXTERNAL REFS       CLOCKS,      DATE,        F4MVC,       FRKCMD
C     EXTERNAL REFS       FRKCRE,      FRKKIL,      FRKWAI,      HELP
C     EXTERNAL REFS       P79OPT,      SFTRN1,      SYSCLS,      SYSDEC
C     EXTERNAL REFS       SYSDEL,      P79GCL,      TIME
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     EXTERNAL FUNCTIONS AND SUBROUTINES
C
C     INTEGER             FRKCMD,      FRKCRE,      P79OPT
      INTEGER             P79OPT
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     NON-COMMON VARIABLES
C
C     SETS                ERRCOD,      ERRANY,      FRKHDL,      NUMOK
C     SETS                NUMRTN,      OUTSF2
C
C#if _OS_TOPS20
C##      INTEGER             CMDSTR(20),  ERRCOD,      FRKHDL,    LENNAM
C#endif
      INTEGER             LENNAM,      NUMOK,       NUMRTN,      OUTSF2
      LOGICAL             ERRANY
C
C     With the exception  of COM05, COM06,  COM15, COM19,  COM20,
C     and COM26, the following COMMON  blocks are unused in  this
C     routine, but  are included  so  as to  define them  at  the
C     highest level.
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM01  /
C
      INTEGER             BYTE,        CC,          CCLABL
      INTEGER             CCMORE,      IN,          INDENT
      INTEGER             LLABL,       MLABL
      INTEGER             NHELD,       OUT
      INTEGER             UNDENT
      LOGICAL             EOF,         FIRST,       LABEL,       LAST
      LOGICAL             MORE
C
      COMMON / COM01  /   BYTE,        CC,          CCLABL
      COMMON / COM01  /   CCMORE,      EOF,         FIRST,       IN
      COMMON / COM01  /   INDENT,      LABEL,       LAST
      COMMON / COM01  /   LLABL,       MLABL,       MORE
      COMMON / COM01  /   NHELD
      COMMON / COM01  /   OUT,         UNDENT
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM02  /
C
      INTEGER             CCFLGS,      CCLIST,      CCNAME,      CCRW
      INTEGER             DEFNO,       INDEXS,      LFLGS,       LLIST
      INTEGER             LLOGS,       MAXLEV,      NEXT
C
      COMMON / COM02  /   CCFLGS(2),   CCLIST,      CCNAME,      CCRW
      COMMON / COM02  /   DEFNO,       INDEXS(38,39)
      COMMON / COM02  /   LFLGS(2),    LLIST,       LLOGS(2)
      COMMON / COM02  /   MAXLEV,      NEXT
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM03  /
C
      INTEGER             CASES,       CCINDX,      CCLOG,       CCLOGS
      INTEGER             LINDX,       LLOG
      INTEGER             MINDX,       NFND,        NONE
      INTEGER             NSTACK,      S1STAK,      SFNMBR
      LOGICAL             BLANK,       FOUND,       NOFLOW,      NONMBR
      LOGICAL             XLATED
C
      COMMON / COM03  /   BLANK,       CASES(39),   CCINDX,      CCLOG
      COMMON / COM03  /   CCLOGS(2),   FOUND,       LINDX
      COMMON / COM03  /   LLOG,        MINDX
      COMMON / COM03  /   NFND,        NOFLOW,      NONE,        NONMBR
      COMMON / COM03  /   NSTACK,      S1STAK(39),  SFNMBR
      COMMON / COM03  /   XLATED
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM04  /
C
      INTEGER             ARZ,         BLNKRZ,      COLNRZ,      CRZ
      INTEGER             DASHRZ,      HRZ,         LEFTRZ,      NINERZ
      INTEGER             PLUSRZ,      QUOTRZ,      RITERZ,      SLSHRZ
      INTEGER             STARRZ,      ZERORZ,      ZRZ
C
      COMMON / COM04  /   ARZ,         BLNKRZ,      COLNRZ,      CRZ
      COMMON / COM04  /   DASHRZ,      HRZ,         LEFTRZ,      NINERZ
      COMMON / COM04  /   PLUSRZ,      QUOTRZ,      RITERZ,      SLSHRZ
      COMMON / COM04  /   STARRZ,      ZERORZ,      ZRZ
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM05  /
C
      INTEGER             BLANKS,      LEFT,        LEVEL
      INTEGER             RIGHT,       S0,          S1,          STRCTS
      COMMON / COM05  /   BLANKS(92),  LEFT,        LEVEL
      COMMON / COM05  /   RIGHT,       S0,          S1
      COMMON / COM05  /   STRCTS(39)
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM06  /
C
      INTEGER             F4KEY,       HOLDIO,      INSF,        LINE
      INTEGER             LINENO,      MAXIN,       MDATA,       OUTERR
      INTEGER             OUTF4,       OUTSF,       P2BASE,      PBASE
      INTEGER             SBASE,       SFKEY,       SPACES,      TEMPF4
      LOGICAL             ERRORS
      COMMON / COM06  /   ERRORS,      F4KEY,       HOLDIO,      INSF
      COMMON / COM06  /   LINE,        LINENO,      MAXIN,       MDATA
      COMMON / COM06  /   OUTERR,      OUTF4,       OUTSF,       P2BASE
      COMMON / COM06  /   PBASE,       SBASE,       SFKEY,       SPACES
      COMMON / COM06  /   TEMPF4
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM07  /
C
      INTEGER             S1PNDG,      S2
      LOGICAL             EXITS,       FND,         OTHERS
C
      COMMON / COM07  /   EXITS(39),   FND,         OTHERS(39),  S1PNDG
      COMMON / COM07  /   S2
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM08  /
C
      LOGICAL             CYCLES
C
      COMMON / COM08  /   CYCLES(39)
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM09  /
C
      INTEGER             CCN1,        CCN2,        CCN3,        CCNMBR
C
      COMMON / COM09  /   CCN1,        CCN2,        CCN3,        CCNMBR
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM10  /
C
      INTEGER             L0,          L1STAK,      LBASE
C
      COMMON / COM10  /   L0,          L1STAK(39),  LBASE
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM11  /
C
      INTEGER             COMCHR,      LCCHR
C
      COMMON / COM11  /   COMCHR(1),   LCCHR
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM12  /
C
      INTEGER             ALIGN,       LNUPCH,      MAXOUT,      STETCH
      LOGICAL             COMMNT,      DRECTV,      EXEMPT,      LINEUP
      LOGICAL             NONDNT,      STET
C
      COMMON / COM12  /   ALIGN(120),  COMMNT,      DRECTV,      EXEMPT
      COMMON / COM12  /   LINEUP,      LNUPCH(1),   MAXOUT,      NONDNT
      COMMON / COM12  /   STET,        STETCH(1)
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM13  /
C
      INTEGER             ADDERR
      LOGICAL             ADELT,       SFLIST
C
      COMMON / COM13  /   ADDERR,      ADELT,       SFLIST
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM14  /
C
      INTEGER             WDSIZE
C
      COMMON / COM14  /   WDSIZE
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM15  /
C
      INTEGER             ININCL,      INSFSV,      MCOUNT
      COMMON / COM15  /   ININCL,      INSFSV,      MCOUNT
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM16  /
C
      INTEGER             LINES
C
      COMMON / COM16  /   LINES(2,299)
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM17  /
C
      INTEGER             ERROUT,      F4OUT,       INPUT,       SFOUT
C
      COMMON / COM17  /   ERROUT,      F4OUT,       INPUT,       SFOUT
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM18  /
C
      LOGICAL             DEBUG,       NOSFL,       PRETTY
C
      COMMON / COM18  /   DEBUG,       NOSFL,       PRETTY
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM19  /
C
      LOGICAL             ENDPRG,      EOFINP
      COMMON / COM19  /   ENDPRG,      EOFINP
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM20  /
C
      INTEGER             HDRDAT,      HDRLEV,      HDRLMX,      HDRLNO
      INTEGER             HDRNAM,      HDRNUM,      HDRPNO,      HDRTIM
      INTEGER             HDRUNO,      HDRVER
      LOGICAL             HDRON
      COMMON / COM20  /   HDRDAT(5),   HDRLEV,      HDRLMX,      HDRLNO
      COMMON / COM20  /   HDRNAM(10),  HDRNUM,      HDRON,       HDRPNO
      COMMON / COM20  /   HDRTIM(5),   HDRUNO,      HDRVER
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM21  /
C
      INTEGER             NPROBE,      NSRCH,       NCOMP,       NSUCC
      INTEGER             NFAIL
C
      COMMON / COM21  /   NPROBE,      NSRCH,       NCOMP,       NSUCC
      COMMON / COM21  /   NFAIL
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM22  /
C
      INTEGER             HASHT1,      MAXHT1,      PRIME1
C
      COMMON / COM22  /   HASHT1(265), MAXHT1,      PRIME1
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM23  /
C
      INTEGER             HASHT2,      MAXHT2,      PRIME2
C
      COMMON / COM23  /   HASHT2(75),  MAXHT2,      PRIME2
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM24  /
C
      INTEGER             FIND,        LOCATE,      SCAN
C
      COMMON / COM24  /   FIND,        LOCATE,      SCAN
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM25  /
C
      INTEGER             DEFINE,      DOCASE,      DOFOR,       DOWITH
      INTEGER             ELSEIF,      FOREVR,      IFELSE,      IFTHEN
      INTEGER             ONCE,        PROC,        UNTIL,       WHILE
C
      COMMON / COM25  /   DEFINE,      DOCASE,      DOFOR,       DOWITH
      COMMON / COM25  /   ELSEIF,      FOREVR,      IFELSE,      IFTHEN
      COMMON / COM25  /   ONCE,        PROC,        UNTIL,       WHILE
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM26  /
C
C     FORFIL:	Output FORTRAN source file name (set in
C               SYSDEC and used in MAIN for compile option)
C
      DOUBLE PRECISION    FORFIL
      COMMON / COM26  /   FORFIL
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM27  /
C
      INTEGER             LNAME,       LNAMES,      MAXTAB,      MNAMES
      INTEGER             NAMENO,      NAMTAB,      NNAMES,      USES
      INTEGER             DEFS
C
      COMMON / COM27  /   LNAME,       LNAMES(299), MAXTAB,      MNAMES
      COMMON / COM27  /   NAMENO,      NAMTAB(2099),NNAMES
      COMMON / COM27  /   USES(299),   DEFS(299)
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM28  /
C
      INTEGER             MCALLS,      NCALLS,      NAMNOS,      SCALLS
C
      COMMON / COM28  /   MCALLS,      NCALLS,      NAMNOS(599)
      COMMON / COM28  /   SCALLS(599)
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM29  /
C
      INTEGER             LABELS,      LBLPTR,      MAXLAB
C
      COMMON / COM29  /   LABELS(199), LBLPTR(39,2),MAXLAB
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM30  /
C
      INTEGER             NB,          BUFFER
C
      COMMON / COM30  /   NB,          BUFFER(1326)
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM31  /
C
      INTEGER             NS,          NSMAX,       STMT
C
      COMMON / COM31  /   NS,          NSMAX,       STMT(1326)
C
C
      ASSIGN 20001 TO NPR001
      GO TO 30001
20001 ASSIGN 20002 TO NPR002
      GO TO 30002
20002 ASSIGN 20003 TO NPR003
      GO TO 30003
20003 ASSIGN 20004 TO NPR004
      GO TO 30004
20004 ASSIGN 20005 TO NPR005
      GO TO 30005
20005 ASSIGN 20006 TO NPR006
      GO TO 30006
20006 ASSIGN 20007 TO NPR007
      GO TO 30007
C
C     On  UNIX,  we call  exit() to  pass   a return code  to the
C     operating system,  and avoid  the STOP  message.   On other
C     systems, a STOP here may be acceptable.
C
20007 IF (.NOT.(ERRANY)) GO TO 20008
      CALL P79EXI (1)
      GO TO 20009
20008 CALL P79EXI (0)
20009 CONTINUE
C
20010 STOP
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Check for 'Help' Request)
30003 IF (.NOT.(P79OPT(1HH) .GE. 0)) GO TO 20011
C               CALL HELP
      STOP
20011 CONTINUE
20012 GO TO 20003
C
C-----------------------------------------------------------------------
C---- PROCEDURE (File Initialization)
C
C          DEC-20 file initializations are taken care of by SYSDEC.
C
30004 CALL SYSDEC (INSF,OUTSF,OUTF4,ININCL,HOLDIO,TEMPF4,OUTERR)
      GO TO 20004
C
C-----------------------------------------------------------------------
C---- PROCEDURE (File Termination)
C
C         If errors occurred in every  program unit, then delete  the
C         output FORTRAN  file,  since  nothing was  written  in  it.
C         Otherwise, invoke  the FORTRAN  compiler with  the  command
C         string "COMPILE  FILENAME"  using  the  filename  left  in
C         COMMON by  SYSDEC.  Similarly,  if  the NOLIST  option  was
C         specified, delete the output listing file, since it too was
C         not written.
C
30006 IF (.NOT.(NUMOK .EQ. 0)) GO TO 20014
      CALL SYSDEL (OUTF4)
C#if _OS_TOPS20
C##           ELSE IF (P79OPT(1HF) .GE. 0) THEN
C##                CALL SYSCLS (OUTF4)
C##                FRKHDL = FRKCRE (FRKHDL)
C##                CALL F4MVC (8HCOMPILE ,1,CMDSTR,1,8)
C##                CALL F4MVC (FORFIL,1,CMDSTR,9,10)
C##                CALL F4MVC (0,1,CMDSTR,19,1)
C##                ERRCOD = FRKCMD(FRKHDL,CMDSTR,4HTTY:)
C##                CALL FRKWAI (FRKHDL)
C##                CALL FRKKIL (FRKHDL)
C#endif
20014 IF (P79OPT(1HN) .GE. 0) CALL SYSDEL (OUTSF2)
      CLOSE (UNIT=INSF)
      CLOSE (UNIT=OUTSF)
C#if _AIX370
C##C
C##C          If this REWIND is omitted, the last partial block is lost.
C##C
C##           REWIND OUTF4
C#else
      CLOSE (UNIT=OUTF4)
C#endif
      CLOSE (UNIT=ININCL)
      CLOSE (UNIT=HOLDIO)
      CLOSE (UNIT=TEMPF4)
      GO TO 20006
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Initialization)
30001 ERRANY = .FALSE.
      OUTSF2 = OUTSF
      ASSIGN 20017 TO NPR008
      GO TO 30008
20017 GO TO 20001
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Page Header Initialization)
30008 HDRUNO = OUTSF
C
C          This is version 3.12 of the SFTRAN3 preprocessor.
C
      HDRVER = 3
      HDRLEV = 12
      HDRPNO = 0
      HDRLMX = P79OPT(1HM)
      IF (HDRLMX .EQ. 0) HDRLMX = 58
C#if _OS_VAXVMS
C##           IF (HDRLMX .EQ. 0) HDRLMX = LIB$LP_LINES() - 3
C#endif
      CALL F4MVC (1H ,1,BLANKS,1,1)
      CALL F4MVC (BLANKS,1,BLANKS,2,91)
      HDRON = (P79OPT(1HP) .LT. 0) .AND. (HDRLMX .GT. 0)
      IF (.NOT.(HDRON)) GO TO 20018
      CALL F4MVC (BLANKS,1,HDRNAM,1,25)
      CALL P79GCL (HDRNAM,10,LENNAM)
      CALL F4MVC (BLANKS,1,HDRDAT,1,10)
      CALL P79DAT (HDRDAT)
      CALL F4MVC (BLANKS,1,HDRTIM,1,10)
      CALL P79TIM (HDRTIM)
      HDRLMX = HDRLMX - 3
20018 GO TO 20017
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Process All Input Program Units)
C
C          Start the  preprocessor  and  loop  until  end-of-file
C          occurs on the  input file.  Each  call to SFTRN1  will
C          process one program unit.
C
30005 NUMOK = 0
      NUMRTN = 0
      GO TO 20022
20021 IF (EOFINP) GO TO 20023
20022 HDRNUM = NUMRTN + 1
      HDRLNO = 0
      CALL SFTRN1
      NUMRTN = NUMRTN + 1
      ERRANY = ERRANY .OR. ERRORS
      IF (.NOT.ERRORS) NUMOK = NUMOK + 1
      GO TO 20021
20023 GO TO 20005
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Start The Clock And Statistics Collection)
C#if _OS_TOPS20
C##           CALL CLOCKS (1)
C#endif
30002 GO TO 20002
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Stop The Clock And Output The Statistics)
C#if _OS_TOPS20
C##           CALL CLOCKS (2)
C#endif
30007 GO TO 20007
C
      END
