      SUBROUTINE  PRRDWR
C     (Process READ/WRITE)
C     Convert a statement of the form
C
C  S0 READ/WRITE (UNIT [,FORMAT] [,V1=END] [,V2=ERR]) IOLIST
C
C     to either
C
C  S0 READ/WRITE (UNIT [,FORMAT] [,END=S1] [,ERR=S2]) IOLIST
C     [V1 = .FALSE.]
C     [V2 = .FALSE.]
C     GO TO S3
C [S1 V1 = .TRUE.]
C [   GO TO S3   ]
C [S2 V2 = .TRUE.]
C  S3 ...
C
C     or the CDC 6000/7000/CYBER form
C
C  S0 READ/WRITE (UNIT [,FORMAT]) IOLIST
C     [V1 = EOF(UNIT) .NE. 0.0]
C     [V2 = IOCHEC(UNIT) .NE. 0]
C
C     (17-AUG-80)
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     EXTERNAL REFERENCES (FUNCTION,SUBROUTINE,COMMON)
C
C     EXTERNAL REFS       ADDBUF,      CHGET3,      F4CLC,       F4MVC
C     EXTERNAL REFS       FLOGRW,      GLOGRW,      GRWFLG,      IOFUNC
C     EXTERNAL REFS       P79OPT,      OSFLST,      OSFRFL,      REMOVE
C     EXTERNAL REFS       SFTERR
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     EXTERNAL FUNCTIONS AND SUBROUTINES
C
      INTEGER             CHGET3,      P79OPT
      LOGICAL             F4CLC
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     STATEMENT FUNCTIONS
C
      LOGICAL             DECDIG,      LETTER
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     NON-COMMON VARIABLES
C
C     SETS                BOS,         CCL,         CCNOW,       CCR
C     SETS                ACHAR,       COMARZ,      ENDKEY,      EOS
C     SETS                ERRKEY,      ERROR,       FNDTOK,      I
C     SETS                LENEND,      LENERR,      LENGTH,      LENUNT
C     SETS                LSTLOC,      NUL
C
      INTEGER             CCL,         CCNOW,       CCR,         ACHAR
      INTEGER             COMARZ,      I,           IARG,        LENEND
      INTEGER             LENERR,      LENGTH,      LENUNT,      LSTLOC
      INTEGER             NUL,         WKEND(6),    WKERR(6)
      INTEGER             WKUNIT(6)
      LOGICAL             BOS,         ENDKEY,      EOS,         ERRKEY
      LOGICAL             ERROR,       FNDTOK
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM01  /
C
      INTEGER             BYTE,        CC,          CCLABL
      INTEGER             CCMORE,      IN,          INDENT
      INTEGER             LLABL,       MLABL
      INTEGER             NHELD,       OUT
      INTEGER             UNDENT
      LOGICAL             EOF,         FIRST,       LABEL,       LAST
      LOGICAL             MORE
C
      COMMON / COM01  /   BYTE,        CC,          CCLABL
      COMMON / COM01  /   CCMORE,      EOF,         FIRST,       IN
      COMMON / COM01  /   INDENT,      LABEL,       LAST
      COMMON / COM01  /   LLABL,       MLABL,       MORE
      COMMON / COM01  /   NHELD
      COMMON / COM01  /   OUT,         UNDENT
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM02  /
C
      INTEGER             CCFLGS,      CCLIST,      CCNAME,      CCRW
      INTEGER             DEFNO,       INDEXS,      LFLGS,       LLIST
      INTEGER             LLOGS,       MAXLEV,      NEXT
C
      COMMON / COM02  /   CCFLGS(2),   CCLIST,      CCNAME,      CCRW
      COMMON / COM02  /   DEFNO,       INDEXS(38,39)
      COMMON / COM02  /   LFLGS(2),    LLIST,       LLOGS(2)
      COMMON / COM02  /   MAXLEV,      NEXT
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM03  /
C
      INTEGER             CASES,       CCINDX,      CCLOG,       CCLOGS
      INTEGER             LINDX,       LLOG
      INTEGER             MINDX,       NFND,        NONE
      INTEGER             NSTACK,      S1STAK,      SFNMBR
      LOGICAL             BLANK,       FOUND,       NOFLOW,      NONMBR
      LOGICAL             XLATED
C
      COMMON / COM03  /   BLANK,       CASES(39),   CCINDX,      CCLOG
      COMMON / COM03  /   CCLOGS(2),   FOUND,       LINDX
      COMMON / COM03  /   LLOG,        MINDX
      COMMON / COM03  /   NFND,        NOFLOW,      NONE,        NONMBR
      COMMON / COM03  /   NSTACK,      S1STAK(39),  SFNMBR
      COMMON / COM03  /   XLATED
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM04  /
C
      INTEGER             ARZ,         BLNKRZ,      COLNRZ,      CRZ
      INTEGER             DASHRZ,      HRZ,         LEFTRZ,      NINERZ
      INTEGER             PLUSRZ,      QUOTRZ,      RITERZ,      SLSHRZ
      INTEGER             STARRZ,      ZERORZ,      ZRZ
C
      COMMON / COM04  /   ARZ,         BLNKRZ,      COLNRZ,      CRZ
      COMMON / COM04  /   DASHRZ,      HRZ,         LEFTRZ,      NINERZ
      COMMON / COM04  /   PLUSRZ,      QUOTRZ,      RITERZ,      SLSHRZ
      COMMON / COM04  /   STARRZ,      ZERORZ,      ZRZ
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM05  /
C
      INTEGER             BLANKS,      LEFT,        LEVEL
      INTEGER             RIGHT,       S0,          S1,          STRCTS
      COMMON / COM05  /   BLANKS(92),  LEFT,        LEVEL
      COMMON / COM05  /   RIGHT,       S0,          S1
      COMMON / COM05  /   STRCTS(39)
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM07  /
C
      INTEGER             S1PNDG,      S2
      LOGICAL             EXITS,       FND,         OTHERS
C
      COMMON / COM07  /   EXITS(39),   FND,         OTHERS(39),  S1PNDG
      COMMON / COM07  /   S2
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM17  /
C
      INTEGER             ERROUT,      F4OUT,       INPUT,       SFOUT
C
      COMMON / COM17  /   ERROUT,      F4OUT,       INPUT,       SFOUT
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM30  /
C
      INTEGER             NB,          BUFFER
C
      COMMON / COM30  /   NB,          BUFFER(1326)
C
C  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
C     COMMON BLOCK / COM31  /
C
      INTEGER             NS,          NSMAX,       STMT
C
      COMMON / COM31  /   NS,          NSMAX,       STMT(1326)
C
C
      DATA                NUL       / -1 /
C
C
C     LOGICAL statement function returning .TRUE. if right-zero
C     character argument is a decimal digit.
C
      DECDIG(IARG) = (ZERORZ .LE. IARG) .AND. (IARG .LE. NINERZ)
C
C     LOGICAL statement function returning .TRUE. if right-zero
C     character argument is a letter.
C
      LETTER(IARG) = (ARZ .LE. IARG) .AND. (IARG .LE. ZRZ)
C
      ASSIGN 20001 TO NPR001
      GO TO 30001
20001 ASSIGN 20002 TO NPR002
      GO TO 30002
20002 ASSIGN 20003 TO NPR003
      GO TO 30003
20003 IF (.NOT.(NFND .GT. 0)) GO TO 20004
      INDENT = LEVEL
      ASSIGN 20007 TO NPR004
      GO TO 30004
20007 IF (.NOT.(P79OPT(1HC) .LT. 0)) GO TO 20008
      ASSIGN 20011 TO NPR005
      GO TO 30005
20011 GO TO 20009
20008 ASSIGN 20012 TO NPR006
      GO TO 30006
20012 CONTINUE
20009 CONTINUE
20010 CONTINUE
20004 CONTINUE
C
20005 RETURN
C
C-----------------------------------------------------------------------
C---- PROCEDURE (CDC READ/WRITE Statement)
30006 ASSIGN 20013 TO NPR007
      GO TO 30007
20013 ASSIGN 20014 TO NPR008
      GO TO 30008
20014 ASSIGN 20015 TO NPR009
      GO TO 30009
20015 ASSIGN 20016 TO NPR010
      GO TO 30010
20016 IF (.NOT.(ENDKEY)) GO TO 20017
      ASSIGN 20020 TO NPR011
      GO TO 30011
20020 CONTINUE
20017 IF (.NOT.(ERRKEY)) GO TO 20021
      ASSIGN 20024 TO NPR012
      GO TO 30012
20024 CONTINUE
20021 GO TO 20012
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Find 'LOGIC=FLAG' Field(s) in READ/WRITE Statement)
30003 CALL FLOGRW
      GO TO 20003
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Find Next Alphanumeric Token)
C
C          On return, (CCL,CCR)  will point  to the  (first,last)
C          characters of the next alphanumeric token, if FNDTOK =
C          .TRUE., and if  none is  found before the  end of  the
C          string is reached,  then FNDTOK =  .FALSE., and CCR  =
C          CCL - 1.
C
30013 ASSIGN 20025 TO NPR014
      GO TO 30014
20025 CONTINUE
20026 IF (.NOT.(.NOT.(LETTER(ACHAR) .OR. DECDIG(ACHAR)) .AND.
     X.NOT.EOS)) GO TO 20027
      ASSIGN 20028 TO NPR014
      GO TO 30014
20028 GO TO 20026
20027 CCL = CCNOW
      IF (.NOT.(.NOT.EOS)) GO TO 20029
      ASSIGN 20029 TO NPR014
      GO TO 30014
20029 CONTINUE
20030 IF (.NOT.((LETTER(ACHAR) .OR. DECDIG(ACHAR)) .AND. .NOT.EOS)) GO T
     XO 20031
      ASSIGN 20032 TO NPR014
      GO TO 30014
20032 GO TO 20030
20031 CCR = CCNOW - 1
      FNDTOK = (CCR .GE. CCL)
      GO TO NPR013, (20039,20066)
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Generate Logic-Setting for READ/WRITE)
30015 CALL GLOGRW
      GO TO 20041
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Generate READ/WRITE with Flag(s))
30016 CALL GRWFLG
      GO TO 20040
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Get Next Character in Statement)
30014 CCNOW = CCNOW + 1
      IF (.NOT.(CCNOW .LE. NS)) GO TO 20033
      EOS = .FALSE.
      ACHAR = CHGET3(STMT,CCNOW)
      GO TO 20034
20033 EOS = .TRUE.
      ACHAR = NUL
20034 GO TO NPR014, (20025,20028,20029,20032)
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Get Previous Character in Statement)
30017 CCNOW = CCNOW - 1
      IF (.NOT.(CCNOW .GE. 1)) GO TO 20036
      BOS = .FALSE.
      ACHAR = CHGET3(STMT,CCNOW)
      GO TO 20037
20036 BOS = .TRUE.
      ACHAR = NUL
20037 GO TO NPR017, (20042,20045,20059,20062)
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Initialize)
30001 COMARZ = CHGET3(1H,,1)
      GO TO 20001
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Isolate Current Token)
30018 CCNOW = CCNOW - 1
      ASSIGN 20039 TO NPR013
      GO TO 30013
20039 GO TO NPR018, (20053,20057,20058)
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Non-CDC Read/Write Statement)
30005 S1 = 0
      S2 = S0+NFND+1
      ASSIGN 20040 TO NPR016
      GO TO 30016
20040 ASSIGN 20041 TO NPR015
      GO TO 30015
20041 S0 = S0+NFND+1
      GO TO 20011
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Output 'LOGIC=EOF(UNIT).NE.0.0' Statement)
30011 CALL ADDBUF (BLANKS,1,6)
      CALL ADDBUF (WKEND,1,LENEND)
      CALL ADDBUF (8H = (EOF(,1,8)
      CALL ADDBUF (WKUNIT,1,LENUNT)
      CALL ADDBUF (11H) .NE. 0.0),1,11)
      CALL IOFUNC (F4OUT,BUFFER,NB)
      NB = 0
      GO TO 20020
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Output 'LOGIC=IOCHEC(UNIT).NE.0' Statement)
30012 CALL ADDBUF (BLANKS,1,6)
      CALL ADDBUF (WKERR,1,LENERR)
      CALL ADDBUF (11H = (IOCHEC(,1,11)
      CALL ADDBUF (WKUNIT,1,LENUNT)
      CALL ADDBUF (9H) .NE. 0),1,9)
      CALL IOFUNC (F4OUT,BUFFER,NB)
      NB = 0
      GO TO 20024
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Output READ/WRITE Statement to FORTRAN File)
30010 CALL OSFRFL
      GO TO 20016
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Output SFTRAN Statement to List File)
30004 CALL OSFLST
      GO TO 20007
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Remove 'LOGIC=FLAG' Field(s) in READ/WRITE Statement)
30009 CCNOW = CCLOGS(1)
      ASSIGN 20042 TO NPR017
      GO TO 30017
20042 CONTINUE
20043 IF (.NOT.((ACHAR .NE. COMARZ) .AND. .NOT.BOS)) GO TO 20044
      ASSIGN 20045 TO NPR017
      GO TO 30017
20045 GO TO 20043
20044 ERROR = BOS
      IF (.NOT.(ERROR)) GO TO 20046
      CALL SFTERR (1,
     X38H(Syntax error in READ/WRITE statement))
      GO TO 20047
20046 LSTLOC = CCFLGS(NFND) + LFLGS(NFND)
      LENGTH = NS + 1 - LSTLOC
      CALL F4MVC (STMT,LSTLOC,BUFFER,1,LENGTH)
      CALL F4MVC (BUFFER,1,STMT,CCNOW,LENGTH)
      NS = CCNOW + LENGTH - 1
20047 GO TO 20015
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Remove Embedded Blanks in Tokens)
30002 CCL = 7
      CCR = NS
      CALL REMOVE (STMT,NS,CCL,CCR,BUFFER)
      GO TO 20002
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Save Logical Variable Names)
30008 ENDKEY = .FALSE.
      ERRKEY = .FALSE.
      I =1
      N20049=NFND
      GO TO 20050
20049 I =I +1
20050 IF ((N20049-I ).LT.0) GO TO 20051
      CCNOW = CCFLGS(I)
      ASSIGN 20053 TO NPR018
      GO TO 30018
20053 IF (.NOT.(F4CLC(STMT,CCL,3HEND,1,3))) GO TO 20054
      ENDKEY = .TRUE.
      CCNOW = CCLOGS(I)
      ASSIGN 20057 TO NPR018
      GO TO 30018
20057 LENEND = CCR - CCL + 1
      CALL F4MVC (STMT,CCL,WKEND,1,LENEND)
      GO TO 20055
20054 IF (.NOT.(F4CLC(STMT,CCL,3HERR,1,3))) GO TO 10001
      ERRKEY = .TRUE.
      CCNOW = CCLOGS(I)
      ASSIGN 20058 TO NPR018
      GO TO 30018
20058 LENERR = CCR - CCL + 1
      CALL F4MVC (STMT,CCL,WKERR,1,LENERR)
      GO TO 20055
10001 CALL SFTERR (1,
     X46H(Unrecognized keyword in READ/WRITE statement))
20055 CONTINUE
20056 GO TO 20049
20051 GO TO 20014
C
C-----------------------------------------------------------------------
C---- PROCEDURE (Save Unit Number)
30007 CCNOW = CCLOGS(1)
      ASSIGN 20059 TO NPR017
      GO TO 30017
20059 CONTINUE
20060 IF (.NOT.((ACHAR .NE. LEFTRZ) .AND. .NOT.BOS)) GO TO 20061
      ASSIGN 20062 TO NPR017
      GO TO 30017
20062 GO TO 20060
20061 ERROR = BOS
      IF (.NOT.(ERROR)) GO TO 20063
      CALL SFTERR (1,
     X38H(Syntax error in READ/WRITE statement))
      GO TO 20064
20063 ASSIGN 20066 TO NPR013
      GO TO 30013
20066 IF (.NOT.(FNDTOK)) GO TO 20067
      LENUNT = CCR - CCL + 1
      CALL F4MVC (STMT,CCL,WKUNIT,1,LENUNT)
      GO TO 20068
20067 CALL SFTERR (1,
     X47H(Unit number not found in READ/WRITE statement))
20068 CONTINUE
20064 GO TO 20013
C
      END
